---

- name: Add Docker GPG apt Key
  apt_key:
    url: https://download.docker.com/linux/raspbian/gpg
    state: present

- name: Add Docker Repository
  apt_repository:
    repo: "deb [arch=armhf] https://download.docker.com/linux/raspbian {{ ansible_distribution_release}} stable"
    state: present
    update_cache: yes

- name: Install docker
  apt:
    update_cache: yes
    name: "{{ item }}"
    state: present
  loop: ['docker-ce:armhf', 'docker-ce-cli:armhf', 'containerd.io:armhf']